org.modeshape.jcr

## Class Sequencers.SequencingConfiguration

- java.lang.Object
- - org.modeshape.jcr.Sequencers.SequencingConfiguration

- Enclosing class:
    Sequencers

      protected final class Sequencers.SequencingConfiguration
      extends Object

  This class represents a single `SequencerPathExpression` and the corresponding `Sequencer` implementation that should be used if the path expression matches.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Sequencers.SequencingConfiguration(SequencerPathExpression expression, Sequencer sequencer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SequencerPathExpression` | `getPathExpression()`
    `Sequencer` | `getSequencer()`
    `SequencerPathExpression.Matcher` | `matches(String pathToChangedNode, Name changedPropertyName)` Determine if this sequencer configuration matches the supplied changed node and property, meaning the changes should be sequenced by this sequencer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Sequencers.SequencingConfiguration

          protected Sequencers.SequencingConfiguration(SequencerPathExpression expression,
                                            Sequencer sequencer)

  - ### Method Detail

    - #### getPathExpression

          public SequencerPathExpression getPathExpression()

      Returns:
        pathExpression

    - #### getSequencer

          public Sequencer getSequencer()

      Returns:
        sequencer

    - #### matches

          public SequencerPathExpression.Matcher matches(String pathToChangedNode,
                                                Name changedPropertyName)

      Determine if this sequencer configuration matches the supplied changed node and property, meaning the changes should be sequenced by this sequencer.
      Parameters:
        `pathToChangedNode` - the path to the added/changed node; may not be null
        `changedPropertyName` - the name of the changed property; may not be null
      Returns:
        the matcher that defines whether there's a match, and if so where the sequenced output is to be

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.